- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# dirac::FrameDecompressor Class Reference

Compress a single image frame. More...

`#include <frame_decompress.h>`

List of all members.

## Public Member Functions
| FrameDecompressor (DecoderParams &decp, ChromaFormat cf)
| Constructor.
| ~FrameDecompressor ()
| Destructor.
bool | Decompress (FrameBuffer &my_buffer)
| Decompress the next frame into the buffer.
bool | ReadFrameHeader (const FrameBuffer &my_buffer)
| Reads the header data.
const FrameParams & | GetFrameParams () const
| Returns the frame parameters of the current frame being decoded.

## Detailed Description

Compress a single image frame.

This class decompresses a single frame at a time, using parameters supplied at its construction. FrameDecompressor is used by SequenceDecompressor.

Definition at line 56 of file frame_decompress.h.

## Constructor & Destructor Documentation

FrameDecompressor::FrameDecompressor | ( | DecoderParams & | decp,
|  | ChromaFormat | cf
| ) |

  | Constructor. Creates a FrameDecompressor with specific set of parameters the control the decompression process. It decodes motion data before decoding each component of the frame. Parameters:
  | decp | decoder parameters
  | cf | the chroma format of the frame being decompressed
Definition at line 57 of file frame_decompress.cpp.

FrameDecompressor::~FrameDecompressor | ( |  | ) |

| Destructor. Releases resources. Definition at line 63 of file frame_decompress.cpp.

## Member Function Documentation

bool FrameDecompressor::Decompress | ( | FrameBuffer & | my_buffer | ) |

  | Decompress the next frame into the buffer. Decompresses the next frame from the stream and place at the end of a frame buffer. Returns true if able to decode successfully, false otherwise Parameters:
  | my_buffer | picture buffer into which the frame is placed
Definition at line 76 of file frame_decompress.cpp. References dirac::DecoderParams::BitsIn(), dirac::FrameParams::CFormat(), dirac::Frame::Clip(), dirac::MotionCompensator::CompensateFrame(), dirac::BitInputManager::End(), dirac::BitInputManager::FlushInput(), dirac::FrameParams::FrameNum(), dirac::FrameParams::FSort(), dirac::FrameBuffer::GetComponent(), dirac::Frame::GetFparams(), dirac::FrameBuffer::GetFParams(), dirac::FrameBuffer::GetFrame(), dirac::GolombDecode(), dirac::BitInputManager::InputBit(), dirac::BitInputManager::InputByte(), dirac::FrameBuffer::PushFrame(), ReadFrameHeader(), dirac::FrameParams::Refs(), dirac::FrameParams::SetExpiryTime(), dirac::FrameParams::SetFrameNum(), dirac::FrameParams::SetFSort(), dirac::UnsignedGolombDecode(), dirac::CodecParams::Verbose(), dirac::FrameParams::Xl(), dirac::CodecParams::XNumMB(), dirac::FrameParams::Yl(), and dirac::CodecParams::YNumMB(). Referenced by dirac::SequenceDecompressor::DecompressNextFrame().

bool FrameDecompressor::ReadFrameHeader | ( | const FrameBuffer & | my_buffer | ) |

  | Reads the header data. Reads the header data associated with decompressing the frame Parameters:
  | my_buffer | picture buffer from which frame dimensions are obtained
Definition at line 67 of file frame_decompress.cpp. References dirac::FrameBuffer::GetFParams(), dirac::FrameParams::Xl(), and dirac::FrameParams::Yl(). Referenced by Decompress(), and dirac::SequenceDecompressor::ReadNextFrameHeader().

The documentation for this class was generated from the following files:

- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_decoder/frame_decompress.h
- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_decoder/frame_decompress.cpp